%define develname %mklibname -d %{name}

Name:           mupdf
Version:        1.5
%define subrel	2
Release:        %mkrel 4
Summary:        MuPDF is a lightweight PDF viewer and toolkit written in portable C
License:        GPLv3+
Group:          Publishing
URL:            http://mupdf.com/
Source0:        http://mupdf.com/download/mupdf-%{version}-source.tar.gz
Source1:        mupdf.desktop
Patch0:         mupdf-1.5-fedora-openjpeg.patch
Patch1:         mupdf-1.5-upstream-format-fix.patch
Patch2:         mupdf-1.8-freebsd-undefine-OPJ_STATIC.patch
Patch3:		mupdf-1.5-CVE-2016-6265.patch
BuildRequires:  libx11-devel
BuildRequires:  libxext-devel
BuildRequires:  zlib-devel
BuildRequires:  libjpeg-devel
BuildRequires:  freetype2-devel
BuildRequires:  jbig2dec-devel
BuildRequires:  openjpeg2-devel
BuildRequires:  desktop-file-utils

%description
MuPDF is a lightweight PDF viewer and toolkit written in portable C.

The renderer in MuPDF is tailored for high quality anti-aliased
graphics.  MuPDF renders text with metrics and spacing accurate to
within fractions of a pixel for the highest fidelity in reproducing
the look of a printed page on screen.

MuPDF has a small footprint.  A binary that includes the standard
Roman fonts is only one megabyte.  A build with full CJK support
(including an Asian font) is approximately five megabytes.

MuPDF has support for all non-interactive PDF 1.7 features, and the
toolkit provides a simple API for accessing the internal structures of
the PDF document.  Example code for navigating interactive links and
bookmarks, encrypting PDF files, extracting fonts, images, and
searchable text, and rendering pages to image files is provided.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description -n %{develname}
This package contains the development files and headers for %{name}.

%prep
%setup -q -n mupdf-%{version}-source
rm -rf thirdparty
%apply_patches

%build
%make

%install
%makeinstall

## fix strange permissons (Fedora)
chmod 0644 %{buildroot}%{_libdir}/*.a
find %{buildroot}/%{_mandir} -type f -exec chmod 0644 {} \;
find %{buildroot}/%{_docdir} -type f -exec chmod 0644 {} \;
find %{buildroot}/%{_includedir} -type f -exec chmod 0644 {} \;

desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications/ %{SOURCE1}

%files
%doc README COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop

%files -n %{develname}
%doc docs/
%{_libdir}/*.a
%{_includedir}/mupdf


%changelog
* Fri Jul 22 2016 luigiwalser <luigiwalser> 1.5-4.2.mga5
+ Revision: 1043200
- backport upstream patch to fix CVE-2016-6265

  + akien <akien>
    - Backport cauldron patch for FTBFS with openjpeg 2.1.1

* Wed Oct 15 2014 umeabot <umeabot> 1.5-4.mga5
+ Revision: 743840
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.5-3.mga5
+ Revision: 727381
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.5-2.mga5
+ Revision: 682700
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 malo <malo> 1.5-1.mga5
+ Revision: 673401
- fix install and file list
- update to 1.5

* Thu Feb 06 2014 luigiwalser <luigiwalser> 1.2-3.mga5
+ Revision: 584695
- add patch from fedora to fix stack-based buffer overflow (rhbz#1056699)

* Sat Oct 19 2013 umeabot <umeabot> 1.2-2.mga4
+ Revision: 531859
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 blue_prawn <blue_prawn> 1.2-1.mga4
+ Revision: 465599
- updated to last version 1.2

  + fwang <fwang>
    - rebuild for new openjpeg

* Sat Jan 12 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 360510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 07 2012 fwang <fwang> 1.1-2.mga3
+ Revision: 303251
- rebuild for new openjpeg

* Sun Sep 09 2012 blue_prawn <blue_prawn> 1.1-1.mga3
+ Revision: 291349
- adapt to the last version (replicates what "goetz" did in Mandriva)
- updated to last version 1.1

* Sat Jun 30 2012 malo <malo> 1.0-1.mga3
+ Revision: 265456
- update to 1.0 (incl. drop upstreamed patch and update file list)

* Thu Apr 12 2012 fwang <fwang> 0.9-3.mga2
+ Revision: 230357
- rebuild for new openjpeg

* Sat Jan 14 2012 wally <wally> 0.9-2.mga2
+ Revision: 195935
- fix devel pkg requires
- use setup_compile_flags macro to set up our buildtime flags
- add patch to fix str fmt
- fix license
- fix devel pkg description

* Mon Jan 09 2012 blue_prawn <blue_prawn> 0.9-1.mga2
+ Revision: 194082
- imported package mupdf

